Subject: Re: Make-3.79 problem: configure: error: can not run ./config.sub
From: Robert Collins <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked], Mohammad Saleem <[email-masked]>, [email-masked]
Date: 23 Aug 2001 10:57:17 +1000

On 22 Aug 2001 20:44:58 -0400, Charles Wilson wrote:
> Gerrit P. Haase wrote:
> 
> >>But I get following error messages already at configure stage:
> >>
> >>bash-2.02$ bash ./configure --prefix=/usr
> >>creating cache ./config.cache
> >>checking for a BSD compatible install... /cygnus/CYGWIN~1/H-I
> >>c
> >>checking whether build environment is sane... yes
> >>checking whether make sets ${MAKE}... yes
> >>checking for working aclocal... missing
> >>checking for working autoconf... missing
> >>checking for working automake... missing
> >>checking for working autoheader... missing
> >>checking for working makeinfo... missing

The above are not errors. They are simply testing to see if the
autotools are available - so that if Makefile.am or configure.in etc are
modified the package knows whether to attempt to run (say)autoconf or to
return an error.

> >>configure: error: can not run ./config.sub

This is a problem. It could be permissions on the script, or it might be
a missing file if a broken tarball was downloaded, or it might be
something else needing further investigation.

> >>
> 
> Usually you only need the autotools if you're doing something unusual 
> (like maintaining the package itself, or porting to a NEW -- previously 
> unsupported -- platform).  Make *should* build using just a ./configure 
> ; make.

Yep.

> But according to this user, it doesn't.  Three possibilities:
> 
> 1) make is 'unique' somehow in that 'just building it' requires some or 
> all of the autotools.  This user doesn't have them installed.
> ---> install automake, autoconf, and perl

Perl I think will be needed, but not automake and autoconf.

> 2) something in this user's setup is broken. Dunno what.
> ---> ???

See my 2nd paragraphs comments :].

> 3) the make tarball is somehow defective -- this could be as simple as 
> doing a 'chmod +x' on config.sub after unpacking.

Definately check this.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/